Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.transfer
Class Tanh

    java.lang.Object
      org.neuroph.core.transfer.TransferFunction
          org.neuroph.core.transfer.Tanh

All Implemented Interfaces:
  Serializable

    public class Tanh

extends TransferFunction
implements Serializable

     Tanh neuron transfer function.

     output = ( e^(2*input)-1) / ( e^(2*input)+1 )

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.transfer.TransferFunction
`output`

Constructor Summary
`Tanh()` Creates an instance of Tanh neuron transfer function with default slope=1.
`Tanh(double slope)` Creates an instance of Tanh neuron transfer function with specified value for slope parametar.
`Tanh(Properties properties)` Creates an instance of Tanh neuron transfer function with the specified properties.

Method Summary
`double` | `getDerivative(double net)` Returns the first derivative of this function.
`double` | `getOutput(double net)` Returns the ouput of this function.
`double` | `getSlope()` Returns the slope parametar of this function
`void` | `setSlope(double slope)` Sets the slope parametar for this function

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tanh

    public Tanh()

  Creates an instance of Tanh neuron transfer function with default slope=1.

### Tanh

    public Tanh(double slope)

  Creates an instance of Tanh neuron transfer function with specified value for slope parametar.

  Parameters:
    `slope` - the slope parametar for the Tanh function

### Tanh

    public Tanh(Properties properties)

  Creates an instance of Tanh neuron transfer function with the specified properties.

  Parameters:
    `properties` - properties of the Tanh function

Method Detail

### getOutput

    public final double getOutput(double net)

  Description copied from class: `TransferFunction`
  Returns the ouput of this function.

  Specified by:
    `getOutput` in class `TransferFunction`
  Parameters:
    `net` - net input

### getDerivative

    public final double getDerivative(double net)

  Description copied from class: `TransferFunction`
  Returns the first derivative of this function.

  Overrides:
    `getDerivative` in class `TransferFunction`
  Parameters:
    `net` - net input

### getSlope

    public double getSlope()

  Returns the slope parametar of this function

  Returns:
    slope parametar of this function

### setSlope

    public void setSlope(double slope)

  Sets the slope parametar for this function

  Parameters:
    `slope` - value for the slope parametar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.